Get a user
get
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
Responses
200
User details.
application/json
biometric_enabled_devicesinteger · int64[]Required
401
Session is missing or invalid.
application/json
403
Requires admin privileges or the request must target your own account.
application/json
404
User not found.
application/json
500
Unable to get user.
application/json
get/api/v1/user/{username}
GET /api/v1/user/{username} HTTP/1.1
Accept: */*
{
"biometric_enabled_devices": [],
"security_keys": [],
"user": {
"authorized_apps": [],
"devices": [],
"email": "jdoe@example.com",
"email_mfa_enabled": false,
"enrolled": true,
"first_name": "John",
"groups": [],
"has_non_mfa_location_access": false,
"has_non_posture_location_access": false,
"id": 2,
"is_active": true,
"is_admin": false,
"last_name": "Doe",
"ldap_pass_requires_change": false,
"mfa_enabled": false,
"mfa_method": "None",
"name": "John Doe",
"password_management_disabled": false,
"phone": "+48123456789",
"totp_enabled": false,
"username": "jdoe"
}
}Last updated
Was this helpful?